#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:       knotes
Summary:    Note taking
Version: 16.12.3
Epoch:          2
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    GPLv2
URL:        http://www.kde.org/
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

ExcludeArch: armv5tl

BuildRequires: kf5-macros
BuildRequires: xsltproc

BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)

BuildRequires: cmake(KF5Completion)
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5ConfigWidgets)
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5DNSSD)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5GlobalAccel)
BuildRequires: cmake(KF5IconThemes)
BuildRequires: cmake(KF5ItemModels)
BuildRequires: cmake(KF5ItemViews)
BuildRequires: cmake(KF5KCMUtils)
BuildRequires: cmake(KF5NewStuff)
BuildRequires: cmake(KF5Notifications)
BuildRequires: cmake(KF5NotifyConfig)
BuildRequires: cmake(KF5Parts)
BuildRequires: cmake(KF5TextWidgets)
BuildRequires: cmake(KF5WidgetsAddons)
BuildRequires: cmake(KF5WindowSystem)
BuildRequires: cmake(KF5XmlGui)

# Find KdepimLibs Package
BuildRequires: cmake(KF5Akonadi)
BuildRequires: cmake(KF5AkonadiNotes)
BuildRequires: cmake(KF5CalendarUtils)
BuildRequires: cmake(KF5KontactInterface)
BuildRequires: cmake(KF5Libkdepim)
BuildRequires: cmake(KF5Mime)
BuildRequires: cmake(KF5PimCommon)
BuildRequires: cmake(KF5PimTextEdit)
BuildRequires: cmake(KF5AkonadiSearch)
BuildRequires: cmake(KF5AkonadiMime)

#Requires: kio5-nntp
Recommends: knotes-handbook
Conflicts: kdepim4-devel < 2:4.6.90-2
Conflicts: kontact < 2:16.04.3-3

%description
KNotes aims to be a useful and full featured notes application for
the KDE project. It tries to be as fast and lightweight as possible
although including some advanced features.

%files
%_kf5_sysconfdir/xdg/knotes.categories
%_kf5_sysconfdir/xdg/knotes.renamecategories
%_kf5_bindir/knotes
%_kf5_bindir/akonadi_notes_agent
%_kf5_sysconfdir/xdg/knotes_printing_theme.knsrc
%_qt5_plugindir/kcm_knotessummary.so
%_qt5_plugindir/kcm_knote.so
%_kf5_datadir/appdata/org.kde.knotes.appdata.xml
%_kf5_datadir/applications/org.kde.knotes.desktop
%_kf5_datadir/knotes
%_kf5_services/kcmknotessummary.desktop
%_kf5_datadir/kxmlgui5/knotes
%_kf5_services/knote_*
%_datadir/dbus-1/interfaces/org.kde.KNotes.xml
%_kf5_datadir/knotifications5/akonadi_notes_agent.notifyrc
%_kf5_datadir/config.kcfg/knotesglobalconfig.kcfg
%_kf5_datadir/config.kcfg/notesagentsettings.kcfg
%_kf5_datadir/kconf_update/knotes*
# Kontact integration
%_qt5_plugindir/kontact_knotesplugin.so
%_kf5_services/kontact/knotesplugin.desktop
%_datadir/dbus-1/interfaces/org.kde.kontact.KNotes.xml
%_kf5_datadir/kontact/ksettingsdialog/knotes.setdlg
%_kf5_datadir/akonadi/agents/notesagent.desktop
%_iconsdir/hicolor/*/*/*

#------------------------------------------------------------------------------

%define libnotesharedprivate_major 5
%define libnotesharedprivate %mklibname notesharedprivate %libnotesharedprivate_major

%package -n %libnotesharedprivate
Summary: KDEPIM library
Group: System/Libraries

%description -n %libnotesharedprivate
KDEPIM library.

%files -n %libnotesharedprivate
%_kf5_libdir/libnotesharedprivate.so.%{libnotesharedprivate_major}*

#------------------------------------------------------------------------------

%define knotesprivate_major 5
%define libknotesprivate %mklibname knotesprivate %knotesprivate_major

%package -n %libknotesprivate
Summary: KDEPIM library
Group: System/Libraries
Obsoletes:  %{_lib}knotesprivate4 < 2:4.14.11
Provides:    %{_lib}knotesprivate4 = %epoch:%version-%release

%description -n %libknotesprivate
KDEPIM library.

%files -n %libknotesprivate
%_kf5_libdir/libknotesprivate.so.%{knotesprivate_major}*

#------------------------------------------------------------------------------

%package handbook
Summary: %name handbook
Requires:  %name >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description handbook
This package provides the %name handbook.

%files handbook
%_kf5_docdir/HTML/en/akonadi_notes_agent
%_kf5_docdir/HTML/en/knotes

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5

%make_build

%install
%make_install -C build



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090099
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

  + pterjan <pterjan>
    - Exclude armv5tl

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076839
- New version 16.12.0

* Thu Dec 15 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1075262
- imported package knotes

